Multivariate Pattern Analysis in Python

# mvpa2.algorithms.benchmarks.hyperalignment.wipe_out_offdiag

`mvpa2.algorithms.benchmarks.hyperalignment.``wipe_out_offdiag`(a, window_size, value=inf)

  Wipe-out (fill with np.inf, as default) close-to-diagonal elements

  Parameters:

  a : array

  window_size : int

  > How many “off-diagonal” elements to preserve

  value : optional

  > Value to fill in with